
package com.tmerclub.cloud.multishop.vo;

import com.tmerclub.cloud.api.multishop.vo.ShopBankCardVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商家提现申请信息VO
 *
 * @author tmerclub
 * @date 2021-06-10 10:28:13
 */
public class ShopWithdrawCashVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "序号")
    private Long index;

    @Schema(description = "支付系统类型")
    private Integer paySysType;

    @Schema(description = "提现id")
    private Long cashId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "审核人id")
    private Long auditorId;

    @Schema(description = "提现金额")
    private Double amount;

    @Schema(description = "审核时间")
    private Date auditingTime;

    @Schema(description = "状态(0:未审核、1:已通过 -1:未通过 2:发放成功 3:发放失败)")
    private Integer status;

    @Schema(description = "平台备注")
    private String remarks;

    @Schema(description = "店铺备注")
    private String shopRemarks;

    @Schema(description = "付款户名")
    private String payingAccount;

    @Schema(description = "汇款账户")
    private String payingCardNo;

    @Schema(description = "汇款时间")
    private Date payingTime;

    @Schema(description = "收款银行卡id")
    private Long shopBankCardId;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "店铺logo")
    private String shopLogo;

    @Schema(description = "提现银行卡")
    private ShopBankCardVO shopBankCardVO;

    @Schema(description = "通联提现状态 0.待支付 1.申请成功(还没确认)  2.提现成功 3.提现失败")
    private Integer allinpayStatus;

    @Schema(description = "通联提现订单号")
    private String bizOrderNo;

    @Schema(description = "提现失败原因")
    private String payFailMessage;

    public Long getIndex() {
        return index;
    }

    public void setIndex(Long index) {
        this.index = index;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    public ShopBankCardVO getShopBankCardVO() {
        return shopBankCardVO;
    }

    public void setShopBankCardVO(ShopBankCardVO shopBankCardVO) {
        this.shopBankCardVO = shopBankCardVO;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getShopLogo() {
        return shopLogo;
    }

    public void setShopLogo(String shopLogo) {
        this.shopLogo = shopLogo;
    }

    public Long getCashId() {
        return cashId;
    }

    public void setCashId(Long cashId) {
        this.cashId = cashId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Double getAmount() {
        return amount;
    }

    public void setAmount(Double amount) {
        this.amount = amount;
    }

    public Date getAuditingTime() {
        return auditingTime;
    }

    public void setAuditingTime(Date auditingTime) {
        this.auditingTime = auditingTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getShopRemarks() {
        return shopRemarks;
    }

    public void setShopRemarks(String shopRemarks) {
        this.shopRemarks = shopRemarks;
    }

    public String getPayingAccount() {
        return payingAccount;
    }

    public void setPayingAccount(String payingAccount) {
        this.payingAccount = payingAccount;
    }

    public String getPayingCardNo() {
        return payingCardNo;
    }

    public void setPayingCardNo(String payingCardNo) {
        this.payingCardNo = payingCardNo;
    }

    public Date getPayingTime() {
        return payingTime;
    }

    public void setPayingTime(Date payingTime) {
        this.payingTime = payingTime;
    }

    public Long getShopBankCardId() {
        return shopBankCardId;
    }

    public void setShopBankCardId(Long shopBankCardId) {
        this.shopBankCardId = shopBankCardId;
    }

    public Integer getAllinpayStatus() {
        return allinpayStatus;
    }

    public void setAllinpayStatus(Integer allinpayStatus) {
        this.allinpayStatus = allinpayStatus;
    }

    public String getBizOrderNo() {
        return bizOrderNo;
    }

    public void setBizOrderNo(String bizOrderNo) {
        this.bizOrderNo = bizOrderNo;
    }

    public String getPayFailMessage() {
        return payFailMessage;
    }

    public void setPayFailMessage(String payFailMessage) {
        this.payFailMessage = payFailMessage;
    }

    @Override
    public String toString() {
        return "ShopWithdrawCashVO{" +
                "index=" + index +
                ", paySysType=" + paySysType +
                ", cashId=" + cashId +
                ", shopId=" + shopId +
                ", auditorId=" + auditorId +
                ", amount=" + amount +
                ", auditingTime=" + auditingTime +
                ", status=" + status +
                ", remarks='" + remarks + '\'' +
                ", shopRemarks='" + shopRemarks + '\'' +
                ", payingAccount='" + payingAccount + '\'' +
                ", payingCardNo='" + payingCardNo + '\'' +
                ", payingTime=" + payingTime +
                ", shopBankCardId=" + shopBankCardId +
                ", shopName='" + shopName + '\'' +
                ", shopLogo='" + shopLogo + '\'' +
                ", shopBankCardVO=" + shopBankCardVO +
                ", allinpayStatus=" + allinpayStatus +
                ", bizOrderNo='" + bizOrderNo + '\'' +
                ", payFailMessage='" + payFailMessage + '\'' +
                '}';
    }
}
